import { AnchoredCategorySeries } from "./AnchoredCategorySeries";
import { NumericXAxis } from "./NumericXAxis";
import { CategoryYAxis } from "./CategoryYAxis";
import { IVerticalAnchoredCategorySeriesInteractionManager } from "./IVerticalAnchoredCategorySeriesInteractionManager";
import { Type, Point } from "igniteui-react-core";
import { SeriesPlotAreaMarginHorizontalMode } from "./SeriesPlotAreaMarginHorizontalMode";
import { Axis } from "./Axis";
import { SeriesPlotAreaMarginVerticalMode } from "./SeriesPlotAreaMarginVerticalMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { NumericAxisBase } from "./NumericAxisBase";
import { ScalerParams } from "./ScalerParams";
import { AxisRange } from "./AxisRange";
import { Rect } from "igniteui-react-core";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
/**
 * @hidden
 */
export declare abstract class VerticalAnchoredCategorySeries extends AnchoredCategorySeries {
    static $t: Type;
    xAxis: NumericXAxis;
    yAxis: CategoryYAxis;
    ck(): SeriesPlotAreaMarginHorizontalMode;
    cl(): SeriesPlotAreaMarginVerticalMode;
    o2(): void;
    private acc;
    get acd(): IVerticalAnchoredCategorySeriesInteractionManager;
    protected get_isVertical(): boolean;
    yq(): CategoryAxisBase;
    y7(): NumericAxisBase;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    j8(a: Point, b: boolean): number;
    ka(a: Point, b: boolean): number;
    ip(a: Point, b: number, c: Axis, d: ScalerParams, e: number): number;
    az(a: Rect): AxisRange;
    protected b2(): SeriesHitTestMode;
    wn(a: Point): Rect;
    private acl;
    gw(a: Point, b: boolean): boolean;
    i5(a: Point, b: boolean, c: boolean): number;
    wa(a: Point, b: boolean, c: boolean): Point;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    abp(a: Axis): void;
    abq(a: Axis): void;
    zn(): boolean;
    yk(a: number, b: number): any[];
    ir(a: Point): number;
    zr(a: Point): number;
    j3(a: Point): number;
    kn(a: Point): any;
    protected q7(a: any, b: string, c: any, d: any): void;
    acg(a: any): boolean;
    acf(a: any): boolean;
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
